Pass finalize_syms on calls to resolve_symbol_value.
[binutils-gdb.git] / binutils / Makefile.am
1 ## Process this file with automake to generate Makefile.in
2
3 ## FIXME: Work around apparent bug in automake.
4 INTLLIBS = @INTLLIBS@
5
6 AUTOMAKE_OPTIONS = cygnus dejagnu
7
8 SUBDIRS = po
9
10 tooldir = $(exec_prefix)/$(target_alias)
11
12 ## These aren't set by automake, because they appear in
13 ## bfd/acinclude.m4, which is included by binutils/acinclude.m4, and
14 ## thus is not seen by automake.
15 CC_FOR_BUILD = @CC_FOR_BUILD@
16 EXEEXT_FOR_BUILD = @EXEEXT_FOR_BUILD@
17
18 YACC = `if [ -f ../bison/bison ]; then echo ../bison/bison -y -L$(srcdir)/../bison/; else echo @YACC@; fi`
19 YFLAGS = -d
20 LEX = `if [ -f ../flex/flex ]; then echo ../flex/flex; else echo @LEX@; fi`
21
22 WARN_CFLAGS = @WARN_CFLAGS@
23 AM_CFLAGS = $(WARN_CFLAGS)
24
25 # these two are almost the same program
26 AR_PROG=ar
27 RANLIB_PROG=ranlib
28
29 # objcopy and strip should be the same program
30 OBJCOPY_PROG=objcopy
31 STRIP_PROG=strip-new
32
33 STRINGS_PROG=strings
34
35 READELF_PROG=readelf
36
37 # These should all be the same program too.
38 SIZE_PROG=size
39 NM_PROG=nm-new
40 OBJDUMP_PROG=objdump
41
42 # This is the demangler, as a standalone program.
43 # Note: This one is used as the installed name too, unlike the above.
44 DEMANGLER_PROG=cxxfilt
45
46 ADDR2LINE_PROG=addr2line
47
48 NLMCONV_PROG=nlmconv
49 DLLTOOL_PROG=dlltool
50 WINDRES_PROG=windres
51 DLLWRAP_PROG=dllwrap
52
53 SRCONV_PROG=srconv$(EXEEXT) sysdump$(EXEEXT) coffdump$(EXEEXT)
54
55 MANCONF = -Dman
56
57 TEXI2POD = perl $(srcdir)/../etc/texi2pod.pl
58
59 POD2MAN = pod2man --center="GNU" --release="binutils-$(VERSION)" --section=1
60
61 # List of man pages generated from binutils.texi
62 man_MANS = \
63 addr2line.1 \
64 ar.1 \
65 dlltool.1 \
66 nlmconv.1 \
67 nm.1 \
68 objcopy.1 \
69 objdump.1 \
70 ranlib.1 \
71 readelf.1 \
72 size.1 \
73 strings.1 \
74 strip.1 \
75 windres.1 \
76 $(DEMANGLER_NAME).1
77
78 PROGS = $(SIZE_PROG) $(OBJDUMP_PROG) $(NM_PROG) $(AR_PROG) $(STRINGS_PROG) $(STRIP_PROG) $(RANLIB_PROG) $(DEMANGLER_PROG) $(OBJCOPY_PROG) @BUILD_NLMCONV@ @BUILD_SRCONV@ @BUILD_DLLTOOL@ @BUILD_WINDRES@ $(ADDR2LINE_PROG) $(READELF_PROG) @BUILD_DLLWRAP@ @BUILD_MISC@
79
80 bin_PROGRAMS = $(SIZE_PROG) $(OBJDUMP_PROG) $(AR_PROG) $(STRINGS_PROG) $(RANLIB_PROG) $(OBJCOPY_PROG) @BUILD_NLMCONV@ @BUILD_SRCONV@ @BUILD_DLLTOOL@ @BUILD_WINDRES@ $(ADDR2LINE_PROG) $(READELF_PROG) @BUILD_DLLWRAP@ @BUILD_MISC@
81
82 ## We need a special rule to install the programs which are built with
83 ## -new, and to rename cxxfilt to c++filt.
84 noinst_PROGRAMS = $(NM_PROG) $(STRIP_PROG) $(DEMANGLER_PROG)
85
86 EXTRA_PROGRAMS = $(NLMCONV_PROG) srconv sysdump coffdump $(DLLTOOL_PROG) $(WINDRES_PROG) $(DLLWRAP_PROG)
87
88 # Stuff that goes in tooldir/ if appropriate
89 TOOL_PROGS = nm-new strip-new ar ranlib dlltool
90
91 BASEDIR = $(srcdir)/..
92 BFDDIR = $(BASEDIR)/bfd
93 INCDIR = $(BASEDIR)/include
94
95 MKDEP = gcc -MM
96
97 INCLUDES = -D_GNU_SOURCE -I. -I$(srcdir) -I../bfd -I$(BFDDIR) -I$(INCDIR) @HDEFINES@ -I$(srcdir)/../intl -I../intl -DLOCALEDIR="\"$(prefix)/share/locale\""
98
99 HFILES = arsup.h bucomm.h budbg.h coffgrok.h debug.h nlmconv.h dlltool.h \
100 windres.h winduni.h
101
102 GENERATED_HFILES = arparse.h sysroff.h sysinfo.h defparse.h rcparse.h
103
104 CFILES = addr2line.c ar.c arsup.c bucomm.c coffdump.c coffgrok.c debug.c \
105 dlltool.c filemode.c ieee.c is-ranlib.c is-strip.c maybe-ranlib.c \
106 maybe-strip.c nlmconv.c nm.c not-ranlib.c not-strip.c \
107 objcopy.c objdump.c prdbg.c rdcoff.c rddbg.c size.c srconv.c \
108 stabs.c strings.c sysdump.c version.c wrstabs.c \
109 windres.c resrc.c rescoff.c resbin.c winduni.c readelf.c \
110 resres.c dllwrap.c rename.c
111
112 GENERATED_CFILES = \
113 underscore.c arparse.c arlex.c sysroff.c sysinfo.c syslex.c \
114 defparse.c deflex.c nlmheader.c rcparse.c rclex.c
115
116 DEBUG_SRCS = rddbg.c debug.c stabs.c ieee.c rdcoff.c
117 WRITE_DEBUG_SRCS = $(DEBUG_SRCS) wrstabs.c
118
119 # Code shared by all the binutils.
120 BULIBS = bucomm.c version.c filemode.c
121
122 BFDLIB = ../bfd/libbfd.la
123
124 OPCODES = ../opcodes/libopcodes.la
125
126 LIBIBERTY = ../libiberty/libiberty.a
127
128 POTFILES = $(CFILES) $(DEBUG_SRCS) $(HFILES)
129 po/POTFILES.in: @MAINT@ Makefile
130 for file in $(POTFILES); do echo $$file; done | sort > tmp \
131 && mv tmp $(srcdir)/po/POTFILES.in
132
133 EXPECT = `if [ -f $$r/../expect/expect ] ; then \
134 echo $$r/../expect/expect ; \
135 else echo expect ; fi`
136 RUNTEST = `if [ -f ${srcdir}/../dejagnu/runtest ] ; then \
137 echo ${srcdir}/../dejagnu/runtest ; \
138 else echo runtest ; fi`
139
140 CC_FOR_TARGET = ` \
141 if [ -f $$r/../gcc/xgcc ] ; then \
142 if [ -f $$r/../newlib/Makefile ] ; then \
143 echo $$r/../gcc/xgcc -B$$r/../gcc/ -idirafter $$r/../newlib/targ-include -idirafter $${srcroot}/../newlib/libc/include -nostdinc; \
144 else \
145 echo $$r/../gcc/xgcc -B$$r/../gcc/; \
146 fi; \
147 else \
148 if [ "@host@" = "@target@" ] ; then \
149 echo $(CC); \
150 else \
151 echo gcc | sed '$(transform)'; \
152 fi; \
153 fi`
154
155 check-DEJAGNU: site.exp
156 srcdir=`cd $(srcdir) && pwd`; export srcdir; \
157 r=`pwd`; export r; \
158 EXPECT=$(EXPECT); export EXPECT; \
159 if [ -f $(top_builddir)/../expect/expect ]; then \
160 TCL_LIBRARY=`cd $(top_srcdir)/../tcl/library && pwd`; \
161 export TCL_LIBRARY; \
162 fi; \
163 runtest=$(RUNTEST); \
164 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
165 $$runtest --tool $(DEJATOOL) --srcdir $${srcdir}/testsuite \
166 CC_FOR_TARGET="$(CC_FOR_TARGET)" \
167 CFLAGS_FOR_TARGET="$(CFLAGS)" $(RUNTESTFLAGS); \
168 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
169 fi
170
171 installcheck:
172 /bin/sh $(srcdir)/sanity.sh $(bindir)
173
174 info_TEXINFOS = binutils.texi
175
176 LDADD = $(BFDLIB) $(LIBIBERTY) $(INTLLIBS)
177
178 size_SOURCES = size.c $(BULIBS)
179
180 objcopy_SOURCES = objcopy.c not-strip.c rename.c $(WRITE_DEBUG_SRCS) $(BULIBS)
181
182 strings_SOURCES = strings.c $(BULIBS)
183
184 readelf_SOURCES = readelf.c version.c unwind-ia64.c
185 readelf_LDADD = $(INTLLIBS) $(LIBIBERTY)
186
187 strip_new_SOURCES = objcopy.c is-strip.c rename.c $(WRITE_DEBUG_SRCS) $(BULIBS)
188
189 nm_new_SOURCES = nm.c $(BULIBS)
190
191 objdump_SOURCES = objdump.c prdbg.c $(DEBUG_SRCS) $(BULIBS)
192 objdump_LDADD = $(OPCODES) $(BFDLIB) $(LIBIBERTY) $(INTLLIBS)
193
194 objdump.o:objdump.c
195 $(COMPILE) -c $(OBJDUMP_DEFS) $(srcdir)/objdump.c
196
197 underscore.c: stamp-under ; @true
198
199 stamp-under: Makefile
200 echo '/*WARNING: This file is automatically generated!*/' >underscore.t
201 echo "int prepends_underscore = @UNDERSCORE@;" >>underscore.t
202 $(SHELL) $(srcdir)/../move-if-change underscore.t underscore.c
203 touch stamp-under
204
205 cplus-dem.o: $(BASEDIR)/libiberty/cplus-dem.c $(INCDIR)/getopt.h
206 $(COMPILE) -c -DMAIN -DVERSION='"$(VERSION)"' $(BASEDIR)/libiberty/cplus-dem.c
207
208 cxxfilt_SOURCES =
209 cxxfilt_LDADD = cplus-dem.o underscore.o $(LIBIBERTY) $(INTLLIBS)
210
211 ar_SOURCES = arparse.y arlex.l ar.c not-ranlib.c arsup.c rename.c $(BULIBS)
212 ar_LDADD = $(BFDLIB) $(LIBIBERTY) @LEXLIB@ $(INTLLIBS)
213
214 ranlib_SOURCES = ar.c is-ranlib.c arparse.y arlex.l arsup.c rename.c $(BULIBS)
215 ranlib_LDADD = $(BFDLIB) $(LIBIBERTY) @LEXLIB@ $(INTLLIBS)
216
217 addr2line_SOURCES = addr2line.c $(BULIBS)
218
219 # The following is commented out for the conversion to automake.
220 # This rule creates a single binary that switches between ar and ranlib
221 # by looking at argv[0]. Use this kludge to save some disk space.
222 # However, you have to install things by hand.
223 # (That is after 'make install', replace the installed ranlib by a link to ar.)
224 # Alternatively, you can install ranlib.sh as ranlib.
225 # ar_with_ranlib: $(ADDL_DEPS) ar.o maybe-ranlib.o
226 # $(HLDENV) $(CC) $(HLDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(AR_PROG) ar.o maybe-ranlib.o $(ADDL_LIBS) $(EXTRALIBS)
227 # -rm -f $(RANLIB_PROG)
228 # -ln $(AR_PROG) $(RANLIB_PROG)
229 #
230 # objcopy and strip in one binary that uses argv[0] to decide its action.
231 #
232 #objcopy_with_strip: $(ADDL_DEPS) objcopy.o maybe-strip.o
233 # $(HLDENV) $(CC) $(HLDFLAGS) $(CFLAGS) $(LDFLAGS) -o $(OBJCOPY_PROG) objcopy.o maybe-strip.o $(ADDL_LIBS) $(EXTRALIBS)
234 # -rm -f $(STRIP_PROG)
235 # -ln $(OBJCOPY_PROG) $(STRIP_PROG)
236
237 sysroff.c: sysinfo$(EXEEXT_FOR_BUILD) sysroff.info
238 ./sysinfo$(EXEEXT_FOR_BUILD) -c <$(srcdir)/sysroff.info >sysroff.c
239 ./sysinfo$(EXEEXT_FOR_BUILD) -i <$(srcdir)/sysroff.info >>sysroff.c
240 ./sysinfo$(EXEEXT_FOR_BUILD) -g <$(srcdir)/sysroff.info >>sysroff.c
241
242 sysroff.h: sysinfo$(EXEEXT_FOR_BUILD) sysroff.info
243 ./sysinfo$(EXEEXT_FOR_BUILD) -d <$(srcdir)/sysroff.info >sysroff.h
244
245 sysinfo$(EXEEXT_FOR_BUILD): sysinfo.o syslex.o
246 $(CC_FOR_BUILD) $(CFLAGS) $(LDFLAGS) -o $@ sysinfo.o syslex.o
247
248 syslex.o: syslex.c sysinfo.h
249 if [ -r syslex.c ]; then \
250 $(CC_FOR_BUILD) -c -I. $(CFLAGS) syslex.c ; \
251 else \
252 $(CC_FOR_BUILD) -c -I. -I$(srcdir) $(CFLAGS) $(srcdir)/syslex.c ;\
253 fi
254
255 sysinfo.o: sysinfo.c
256 if [ -r sysinfo.c ]; then \
257 $(CC_FOR_BUILD) -c -I. $(CFLAGS) sysinfo.c ; \
258 else \
259 $(CC_FOR_BUILD) -c -I. $(CFLAGS) $(srcdir)/sysinfo.c ; \
260 fi
261
262 # We need these for parallel make.
263 arparse.h: arparse.c
264 defparse.h: defparse.c
265 nlmheader.h: nlmheader.c
266 rcparse.h: rcparse.c
267 sysinfo.h: sysinfo.c
268
269 srconv_SOURCES = srconv.c coffgrok.c $(BULIBS)
270
271 dlltool_SOURCES = dlltool.c defparse.y deflex.l $(BULIBS)
272 dlltool_LDADD = $(BFDLIB) $(LIBIBERTY) @LEXLIB@ $(INTLLIBS)
273
274 dlltool.o:dlltool.c
275 $(COMPILE) -c $(DLLTOOL_DEFS) $(srcdir)/dlltool.c
276
277 rescoff.o:rescoff.c
278 $(COMPILE) -c $(DLLTOOL_DEFS) $(srcdir)/rescoff.c
279
280 coffdump_SOURCES = coffdump.c coffgrok.c $(BULIBS)
281
282 sysdump_SOURCES = sysdump.c $(BULIBS)
283
284 # coff/sym.h and coff/ecoff.h won't be found by the automatic dependency
285 # scripts, since they are only included conditionally.
286 nlmconv.o: nlmconv.c $(INCDIR)/coff/sym.h $(INCDIR)/coff/ecoff.h
287 ldname=`echo ld | sed '$(transform)'`; \
288 $(COMPILE) -c -DLD_NAME="\"$${ldname}\"" @NLMCONV_DEFS@ $(srcdir)/nlmconv.c
289
290 nlmconv_SOURCES = nlmconv.c nlmheader.y $(BULIBS)
291
292 windres_SOURCES = windres.c resrc.c rescoff.c resbin.c rcparse.y rclex.l \
293 winduni.c resres.c $(BULIBS)
294 windres_LDADD = $(BFDLIB) $(LIBIBERTY) @LEXLIB@ $(INTLLIBS)
295
296 dllwrap_SOURCES = dllwrap.c version.c
297 dllwrap_LDADD = $(LIBIBERTY) $(INTLLIBS)
298
299
300 DISTSTUFF = arparse.c arparse.h arlex.c nlmheader.c sysinfo.c sysinfo.h \
301 syslex.c deflex.c defparse.h defparse.c rclex.c rcparse.h rcparse.c
302
303 diststuff: $(DISTSTUFF) info
304
305 DISTCLEANFILES = stamp-under sysinfo underscore.c sysroff.c sysroff.h \
306 site.exp site.bak
307
308 # Targets to rebuild dependencies in this Makefile.
309 # Have to get rid of DEP1 here so that "$?" later includes all of $(CFILES).
310 DEP: dep.sed $(CFILES) $(HFILES) $(GENERATED_CFILES) $(GENERATED_HFILES) config.h
311 rm -f DEP1
312 $(MAKE) MKDEP="$(MKDEP)" DEP1
313 sed -f dep.sed < DEP1 > DEPA
314 echo '# IF YOU PUT ANYTHING HERE IT WILL GO AWAY' >> DEPA
315 if grep ' /' DEPA > /dev/null 2> /dev/null; then \
316 echo 'make DEP failed!'; exit 1; \
317 else \
318 mv -f DEPA $@; \
319 fi
320
321 DEP1: $(CFILES) $(GENERATED_CFILES)
322 echo '# DO NOT DELETE THIS LINE -- mkdep uses it.' > DEP2
323 echo '# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.' >> DEP2
324 $(MKDEP) $(INCLUDES) $(CFLAGS) $? >> DEP2
325 mv -f DEP2 $@
326
327 dep.sed: dep-in.sed config.status
328 objdir=`pwd`; \
329 sed <$(srcdir)/dep-in.sed >dep.sed \
330 -e 's!@INCDIR@!$(INCDIR)!' \
331 -e 's!@BFDDIR@!$(BFDDIR)!' \
332 -e 's!@SRCDIR@!$(srcdir)!' \
333 -e "s!@OBJDIR@!$${objdir}!"
334
335 dep: DEP
336 sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < Makefile > tmp-Makefile
337 cat DEP >> tmp-Makefile
338 $(SHELL) $(srcdir)/../move-if-change tmp-Makefile Makefile
339
340 dep-in: DEP
341 sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < $(srcdir)/Makefile.in > tmp-Makefile.in
342 cat DEP >> tmp-Makefile.in
343 $(SHELL) $(srcdir)/../move-if-change tmp-Makefile.in $(srcdir)/Makefile.in
344
345 dep-am: DEP
346 sed -e '/^..DO NOT DELETE THIS LINE/,$$d' < $(srcdir)/Makefile.am > tmp-Makefile.am
347 cat DEP >> tmp-Makefile.am
348 $(SHELL) $(srcdir)/../move-if-change tmp-Makefile.am $(srcdir)/Makefile.am
349
350 .PHONY: dep dep-in dep-am
351
352 ###
353 # DOCUMENTATION TARGETS
354 config.texi: Makefile
355 rm -f config.texi
356 echo '@set VERSION $(VERSION)' > config.texi
357
358 binutils.dvi: $(srcdir)/binutils.texi config.texi
359
360 binutils.info: $(srcdir)/binutils.texi config.texi
361
362 # Man page generation from texinfo
363 $(srcdir)/addr2line.1: $(srcdir)/binutils.texi
364 touch $@
365 -$(TEXI2POD) $(MANCONF) -Daddr2line < $< > $@.pod
366 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
367 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
368 rm -f $@.pod
369
370 $(srcdir)/ar.1: $(srcdir)/binutils.texi
371 touch $@
372 -$(TEXI2POD) $(MANCONF) -Dar < $< > $@.pod
373 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
374 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
375 rm -f $@.pod
376
377 $(srcdir)/dlltool.1: $(srcdir)/binutils.texi
378 touch $@
379 -$(TEXI2POD) $(MANCONF) -Ddlltool < $< > $@.pod
380 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
381 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
382 rm -f $@.pod
383
384 $(srcdir)/nlmconv.1: $(srcdir)/binutils.texi
385 touch $@
386 -$(TEXI2POD) $(MANCONF) -Dnlmconv < $< > $@.pod
387 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
388 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
389 rm -f $@.pod
390
391 $(srcdir)/nm.1: $(srcdir)/binutils.texi
392 touch $@
393 -$(TEXI2POD) $(MANCONF) -Dnm < $< > $@.pod
394 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
395 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
396 rm -f $@.pod
397
398 $(srcdir)/objcopy.1: $(srcdir)/binutils.texi
399 touch $@
400 -$(TEXI2POD) $(MANCONF) -Dobjcopy < $< > $@.pod
401 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
402 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
403 rm -f $@.pod
404
405 $(srcdir)/objdump.1: $(srcdir)/binutils.texi
406 touch $@
407 -$(TEXI2POD) $(MANCONF) -Dobjdump < $< > $@.pod
408 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
409 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
410 rm -f $@.pod
411
412 $(srcdir)/ranlib.1: $(srcdir)/binutils.texi
413 touch $@
414 -$(TEXI2POD) $(MANCONF) -Dranlib < $< > $@.pod
415 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
416 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
417 rm -f $@.pod
418
419 $(srcdir)/readelf.1: $(srcdir)/binutils.texi
420 touch $@
421 -$(TEXI2POD) $(MANCONF) -Dreadelf < $< > $@.pod
422 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
423 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
424 rm -f $@.pod
425
426 $(srcdir)/size.1: $(srcdir)/binutils.texi
427 touch $@
428 -$(TEXI2POD) $(MANCONF) -Dsize < $< > $@.pod
429 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
430 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
431 rm -f $@.pod
432
433 $(srcdir)/strings.1: $(srcdir)/binutils.texi
434 touch $@
435 -$(TEXI2POD) $(MANCONF) -Dstrings < $< > $@.pod
436 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
437 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
438 rm -f $@.pod
439
440 $(srcdir)/strip.1: $(srcdir)/binutils.texi
441 touch $@
442 -$(TEXI2POD) $(MANCONF) -Dstrip < $< > $@.pod
443 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
444 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
445 rm -f $@.pod
446
447 $(srcdir)/windres.1: $(srcdir)/binutils.texi
448 touch $@
449 -$(TEXI2POD) $(MANCONF) -Dwindres < $< > $@.pod
450 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
451 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
452 rm -f $@.pod
453
454 $(srcdir)/cxxfilt.man: $(srcdir)/binutils.texi
455 touch $@
456 -$(TEXI2POD) $(MANCONF) -Dcxxfilt < $< > $@.pod
457 -($(POD2MAN) $@.pod | sed -e '/^.if n .na/d' > $@.T$$$$ && \
458 mv -f $@.T$$$$ $@) || (rm -f $@.T$$$$ && exit 1)
459 rm -f $@.pod
460
461 MAINTAINERCLEANFILES = config.texi
462
463 $(DEMANGLER_NAME).1: cxxfilt.man Makefile
464 sed -e 's/@PROGRAM@/$(DEMANGLER_NAME)/' < $(srcdir)/cxxfilt.man \
465 > $(DEMANGLER_NAME).1
466
467 MOSTLYCLEANFILES = sysinfo $(DEMANGLER_NAME).1 binutils.log binutils.sum \
468 abcdefgh*
469 mostlyclean-local:
470 -rm -rf tmpdir
471
472 CLEANFILES = dep.sed DEP DEPA DEP1 DEP2
473
474 .PHONY: install-exec-local
475
476 install-exec-local: install-binPROGRAMS $(bin_PROGRAMS) $(noinst_PROGRAMS)
477 @list='$(noinst_PROGRAMS)'; for p in $$list; do \
478 if test -f $$p; then \
479 echo " $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//' -e 's/cxxfilt/$(DEMANGLER_NAME)/'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
480 $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//' -e 's/cxxfilt/$(DEMANGLER_NAME)/'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
481 else :; fi; \
482 done
483 $(mkinstalldirs) $(tooldir)/bin
484 for i in $(TOOL_PROGS); do \
485 if [ -f $$i$(EXEEXT) ]; then \
486 j=`echo $$i | sed -e 's/-new//'`; \
487 k=`echo $$j | sed '$(transform)'`; \
488 if [ "$(bindir)/$$k$(EXEEXT)" != "$(tooldir)/bin/$$j$(EXEEXT)" ]; then \
489 rm -f $(tooldir)/bin/$$j$(EXEEXT); \
490 ln $(bindir)/$$k$(EXEEXT) $(tooldir)/bin/$$j$(EXEEXT) >/dev/null 2>/dev/null \
491 || $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$i$(EXEEXT) $(tooldir)/bin/$$j$(EXEEXT); \
492 fi; \
493 else true; \
494 fi; \
495 done
496
497 # What appears below is generated by a hacked mkdep using gcc -MM.
498
499 # DO NOT DELETE THIS LINE -- mkdep uses it.
500 # DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.
501 addr2line.o: addr2line.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
502 $(INCDIR)/getopt.h $(INCDIR)/libiberty.h $(INCDIR)/demangle.h \
503 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h
504 ar.o: ar.c ../bfd/bfd.h $(INCDIR)/ansidecl.h $(INCDIR)/libiberty.h \
505 $(INCDIR)/progress.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
506 $(INCDIR)/fopen-same.h $(INCDIR)/aout/ar.h $(BFDDIR)/libbfd.h \
507 arsup.h $(INCDIR)/filenames.h
508 arsup.o: arsup.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
509 arsup.h $(INCDIR)/libiberty.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
510 $(INCDIR)/fopen-same.h $(INCDIR)/filenames.h
511 bucomm.o: bucomm.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
512 $(INCDIR)/libiberty.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
513 $(INCDIR)/fopen-same.h $(INCDIR)/filenames.h
514 coffdump.o: coffdump.c coffgrok.h bucomm.h config.h \
515 $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h
516 coffgrok.o: coffgrok.c bucomm.h config.h $(INCDIR)/bin-bugs.h \
517 $(INCDIR)/fopen-same.h $(INCDIR)/coff/internal.h $(BFDDIR)/libcoff.h \
518 $(INCDIR)/bfdlink.h coffgrok.h
519 debug.o: debug.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
520 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
521 $(INCDIR)/libiberty.h debug.h
522 dlltool.o: dlltool.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
523 $(INCDIR)/libiberty.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
524 $(INCDIR)/fopen-same.h $(INCDIR)/demangle.h $(INCDIR)/dyn-string.h \
525 dlltool.h
526 filemode.o: filemode.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
527 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h
528 ieee.o: ieee.c ../bfd/bfd.h $(INCDIR)/ansidecl.h $(INCDIR)/ieee.h \
529 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
530 $(INCDIR)/libiberty.h debug.h budbg.h $(INCDIR)/filenames.h
531 is-ranlib.o: is-ranlib.c
532 is-strip.o: is-strip.c
533 maybe-ranlib.o: maybe-ranlib.c
534 maybe-strip.o: maybe-strip.c
535 nlmconv.o: nlmconv.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
536 $(INCDIR)/libiberty.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
537 $(INCDIR)/fopen-same.h $(BFDDIR)/libnlm.h $(INCDIR)/nlm/common.h \
538 $(INCDIR)/nlm/internal.h $(INCDIR)/nlm/external.h nlmconv.h
539 nm.o: nm.c ../bfd/bfd.h $(INCDIR)/ansidecl.h $(INCDIR)/progress.h \
540 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
541 $(INCDIR)/aout/stab_gnu.h $(INCDIR)/aout/stab.def $(INCDIR)/aout/ranlib.h \
542 $(INCDIR)/demangle.h $(INCDIR)/libiberty.h
543 not-ranlib.o: not-ranlib.c
544 not-strip.o: not-strip.c
545 objcopy.o: objcopy.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
546 $(INCDIR)/progress.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
547 $(INCDIR)/fopen-same.h $(INCDIR)/libiberty.h budbg.h \
548 $(INCDIR)/filenames.h
549 objdump.o: objdump.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
550 $(INCDIR)/getopt.h $(INCDIR)/progress.h bucomm.h config.h \
551 $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h $(INCDIR)/dis-asm.h \
552 $(INCDIR)/libiberty.h $(INCDIR)/demangle.h debug.h \
553 budbg.h $(INCDIR)/aout/aout64.h
554 prdbg.o: prdbg.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
555 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
556 $(INCDIR)/libiberty.h debug.h budbg.h
557 rdcoff.o: rdcoff.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
558 $(INCDIR)/coff/internal.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
559 $(INCDIR)/fopen-same.h $(INCDIR)/libiberty.h $(INCDIR)/demangle.h \
560 debug.h budbg.h $(BFDDIR)/libcoff.h $(INCDIR)/bfdlink.h
561 rddbg.o: rddbg.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
562 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
563 $(INCDIR)/libiberty.h debug.h budbg.h
564 size.o: size.c ../bfd/bfd.h $(INCDIR)/ansidecl.h $(INCDIR)/getopt.h \
565 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
566 $(INCDIR)/libiberty.h
567 srconv.o: srconv.c bucomm.h config.h $(INCDIR)/bin-bugs.h \
568 $(INCDIR)/fopen-same.h sysroff.h coffgrok.h $(INCDIR)/coff/internal.h \
569 $(BFDDIR)/libcoff.h $(INCDIR)/bfdlink.h sysroff.c
570 stabs.o: stabs.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
571 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
572 $(INCDIR)/libiberty.h $(INCDIR)/demangle.h debug.h \
573 budbg.h $(INCDIR)/filenames.h $(INCDIR)/aout/aout64.h \
574 $(INCDIR)/aout/stab_gnu.h $(INCDIR)/aout/stab.def
575 strings.o: strings.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
576 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
577 $(INCDIR)/libiberty.h
578 sysdump.o: sysdump.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
579 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
580 sysroff.h sysroff.c
581 version.o: version.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
582 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h
583 wrstabs.o: wrstabs.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
584 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
585 $(INCDIR)/libiberty.h debug.h budbg.h $(INCDIR)/aout/aout64.h \
586 $(INCDIR)/aout/stab_gnu.h $(INCDIR)/aout/stab.def
587 windres.o: windres.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
588 $(INCDIR)/getopt.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
589 $(INCDIR)/fopen-same.h $(INCDIR)/libiberty.h $(INCDIR)/obstack.h \
590 windres.h winduni.h
591 resrc.o: resrc.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
592 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
593 $(INCDIR)/libiberty.h windres.h winduni.h
594 rescoff.o: rescoff.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
595 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
596 $(INCDIR)/libiberty.h windres.h winduni.h $(INCDIR)/coff/internal.h \
597 $(BFDDIR)/libcoff.h $(INCDIR)/bfdlink.h
598 resbin.o: resbin.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
599 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
600 $(INCDIR)/libiberty.h windres.h winduni.h
601 winduni.o: winduni.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
602 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
603 winduni.h
604 readelf.o: readelf.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
605 $(INCDIR)/elf/common.h $(INCDIR)/elf/external.h $(INCDIR)/elf/internal.h \
606 $(INCDIR)/elf/dwarf2.h $(INCDIR)/elf/i386.h $(INCDIR)/elf/reloc-macros.h \
607 $(INCDIR)/elf/v850.h $(INCDIR)/elf/ppc.h $(INCDIR)/elf/mips.h \
608 $(INCDIR)/elf/alpha.h $(INCDIR)/elf/arm.h $(INCDIR)/elf/m68k.h \
609 $(INCDIR)/elf/sparc.h $(INCDIR)/elf/m32r.h $(INCDIR)/elf/d10v.h \
610 $(INCDIR)/elf/d30v.h $(INCDIR)/elf/sh.h $(INCDIR)/elf/mn10200.h \
611 $(INCDIR)/elf/mn10300.h $(INCDIR)/elf/hppa.h $(INCDIR)/elf/arc.h \
612 $(INCDIR)/elf/fr30.h $(INCDIR)/elf/mcore.h $(INCDIR)/elf/i960.h \
613 $(INCDIR)/elf/pj.h $(INCDIR)/elf/avr.h $(INCDIR)/elf/ia64.h \
614 $(INCDIR)/elf/cris.h $(INCDIR)/elf/i860.h $(INCDIR)/elf/x86-64.h \
615 $(INCDIR)/elf/s390.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
616 $(INCDIR)/fopen-same.h unwind-ia64.h
617 resres.o: resres.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
618 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
619 $(INCDIR)/libiberty.h windres.h winduni.h
620 dllwrap.o: dllwrap.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
621 $(INCDIR)/libiberty.h bucomm.h config.h $(INCDIR)/bin-bugs.h \
622 $(INCDIR)/fopen-same.h $(INCDIR)/dyn-string.h
623 rename.o: rename.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
624 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h
625 underscore.o: underscore.c
626 arparse.o: arparse.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
627 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
628 arsup.h
629 arlex.o: arlex.c $(INCDIR)/libiberty.h arparse.h
630 sysroff.o: sysroff.c
631 sysinfo.o: sysinfo.c
632 syslex.o: syslex.c sysinfo.h
633 defparse.o: defparse.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
634 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
635 dlltool.h
636 deflex.o: deflex.c $(INCDIR)/libiberty.h $(INCDIR)/ansidecl.h \
637 defparse.h dlltool.h
638 nlmheader.o: nlmheader.c ../bfd/bfd.h bucomm.h config.h \
639 $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h $(INCDIR)/nlm/common.h \
640 $(INCDIR)/nlm/internal.h nlmconv.h
641 rcparse.o: rcparse.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
642 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
643 $(INCDIR)/libiberty.h windres.h winduni.h
644 rclex.o: rclex.c ../bfd/bfd.h $(INCDIR)/ansidecl.h \
645 bucomm.h config.h $(INCDIR)/bin-bugs.h $(INCDIR)/fopen-same.h \
646 $(INCDIR)/libiberty.h windres.h winduni.h rcparse.h
647 # IF YOU PUT ANYTHING HERE IT WILL GO AWAY